Package org.json.simple.parser

# Interface ContentHandler

@Deprecated public interface ContentHandler
Deprecated.
since 2.0.0 it doesn't extend the SAX ContentHandler promoting bad practices and incompatible code.
A simplified and stoppable SAX-like content handler for stream processing of JSON text.

Author:
  FangYidong<fangyidong@yahoo.com.cn>
See Also:
  - `JSONParser.parse(java.io.Reader, ContentHandler, boolean)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`endArray()`
Deprecated.
Receive notification of the end of a JSON array.
`void`
`endJSON()`
Deprecated.
Receive notification of the end of JSON processing.
`boolean`
`endObject()`
Deprecated.
Receive notification of the end of a JSON object.
`boolean`
`endObjectEntry()`
Deprecated.
Receive notification of the end of the value of previous object entry.
`boolean`
`primitive(Object value)`
Deprecated.
Receive notification of the JSON primitive values: java.lang.String, java.lang.Number, java.lang.Boolean null
`boolean`
`startArray()`
Deprecated.
Receive notification of the beginning of a JSON array.
`void`
`startJSON()`
Deprecated.
Receive notification of the beginning of JSON processing.
`boolean`
`startObject()`
Deprecated.
Receive notification of the beginning of a JSON object.
`boolean`
`startObjectEntry(String key)`
Deprecated.
Receive notification of the beginning of a JSON object entry.

## Method Details

### startJSON

void startJSON() throws ParseException, IOException
Deprecated.
Receive notification of the beginning of JSON processing. The parser will invoke this method only once.

Throws:
  `ParseException` - - JSONParser will stop and throw the same exception to the caller when receiving this exception.
  `IOException` - description omitted.

### endJSON

void endJSON() throws ParseException, IOException
Deprecated.
Receive notification of the end of JSON processing.

Throws:
  `ParseException` - description omitted.
  `IOException` - description omitted.

### startObject

boolean startObject() throws ParseException, IOException
Deprecated.
Receive notification of the beginning of a JSON object.

Returns:
  false if the handler wants to stop parsing after return.
Throws:
  `ParseException` - - JSONParser will stop and throw the same exception to the caller when receiving this exception.
  `IOException` - description omitted.
See Also:
  - `endJSON()`

### endObject

boolean endObject() throws ParseException, IOException
Deprecated.
Receive notification of the end of a JSON object.

Returns:
  false if the handler wants to stop parsing after return.
Throws:
  `ParseException` - description omitted.
  `IOException` - description omitted.
See Also:
  - `startObject()`

### startObjectEntry

boolean startObjectEntry(String key) throws ParseException, IOException
Deprecated.
Receive notification of the beginning of a JSON object entry.

Parameters:
  `key` - - Key of a JSON object entry.
Returns:
  false if the handler wants to stop parsing after return.
Throws:
  `ParseException` - description omitted.
  `IOException` - description omitted.
See Also:
  - `endObjectEntry()`

### endObjectEntry

boolean endObjectEntry() throws ParseException, IOException
Deprecated.
Receive notification of the end of the value of previous object entry.

Returns:
  false if the handler wants to stop parsing after return.
Throws:
  `ParseException` - description omitted.
  `IOException` - description omitted.
See Also:
  - `startObjectEntry(java.lang.String)`

### startArray

boolean startArray() throws ParseException, IOException
Deprecated.
Receive notification of the beginning of a JSON array.

Returns:
  false if the handler wants to stop parsing after return.
Throws:
  `ParseException` - description omitted.
  `IOException` - description omitted.
See Also:
  - `endArray()`

### endArray

boolean endArray() throws ParseException, IOException
Deprecated.
Receive notification of the end of a JSON array.

Returns:
  false if the handler wants to stop parsing after return.
Throws:
  `ParseException` - description omitted.
  `IOException` - description omitted.
See Also:
  - `startArray()`

### primitive

boolean primitive(Object value) throws ParseException, IOException
Deprecated.
Receive notification of the JSON primitive values: java.lang.String, java.lang.Number, java.lang.Boolean null

Parameters:
  `value` - - Instance of the following: java.lang.String, java.lang.Number, java.lang.Boolean null
Returns:
  false if the handler wants to stop parsing after return.
Throws:
  `ParseException` - description omitted.
  `IOException` - description omitted.